<?php

namespace NoccyLabs\Juicer\Recipe\Mixer;

use NoccyLabs\Juicer\Ingredient\Base;
use NoccyLabs\Juicer\Recipe\RecipeInterface;

class MixedRecipe
{

    protected $recipe;

    protected $mixedIngredients = [];

    public function __construct(RecipeInterface $recipe, array $mixedIngredients)
    {
        $this->recipe = $recipe;
        $this->mixedIngredients = $mixedIngredients;
    }

    public function getIngredients(): array
    {
        return $this->recipe->getIngredients();
    }

    public function getMeasuredIngredients(): array
    {
        return $this->mixedIngredients;
    }

    public function getTotalFlavorMl(): float
    {

    }

    public function getTotalFlavorPercent(): float
    {

    }

    public function getTotalFlavorGrams(): float
    {

    }

    public function getSpecificGravity(): float
    {

    }
}